curl --request POST \
--url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/v2/content/tax-type-details' \
--header 'Authorization: Bearer <your_token>' \
--header 'Content-Type: application/json' \
--data '{
"jurisdiction_ids": ["JUR_US_STATE_CA"]
}'
{
"jurisdiction_ids": ["JUR_US_STATE_CA"]
}
{
"jurisdiction_ids": ["JUR_US_STATE_CA", "JUR_US_STATE_TX"]
}
{
"data": {
"tax_type_details": [
{
"jurisdiction_id": "JUR_US_STATE_CA",
"tax_type": "RST",
"official_name": "Retail Sales Tax",
"display_name": "Sales Tax",
"short_description": "Tax on retail sales of tangible personal property",
"full_description": "California imposes a sales tax on retailers for the privilege of selling tangible personal property at retail.",
"recommended_for": ["B2C", "SaaS"]
}
]
}
}
{
"message": "Failed to parse request body.",
"error": {
"type": "CLIENT_INVALID_REQUEST_BODY",
"title": "Failed to validate the request body",
"detail": "jurisdiction_ids is required",
"status": 400,
"instance": "/api/v1/registrations/v2/content/tax-type-details"
}
}
Registration Content V2
Get Tax Type Details
Get detailed descriptions of tax types for given jurisdictions
POST
/
api
/
v1
/
registrations
/
v2
/
content
/
tax-type-details
curl --request POST \
--url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/v2/content/tax-type-details' \
--header 'Authorization: Bearer <your_token>' \
--header 'Content-Type: application/json' \
--data '{
"jurisdiction_ids": ["JUR_US_STATE_CA"]
}'
{
"jurisdiction_ids": ["JUR_US_STATE_CA"]
}
{
"jurisdiction_ids": ["JUR_US_STATE_CA", "JUR_US_STATE_TX"]
}
{
"data": {
"tax_type_details": [
{
"jurisdiction_id": "JUR_US_STATE_CA",
"tax_type": "RST",
"official_name": "Retail Sales Tax",
"display_name": "Sales Tax",
"short_description": "Tax on retail sales of tangible personal property",
"full_description": "California imposes a sales tax on retailers for the privilege of selling tangible personal property at retail.",
"recommended_for": ["B2C", "SaaS"]
}
]
}
}
{
"message": "Failed to parse request body.",
"error": {
"type": "CLIENT_INVALID_REQUEST_BODY",
"title": "Failed to validate the request body",
"detail": "jurisdiction_ids is required",
"status": 400,
"instance": "/api/v1/registrations/v2/content/tax-type-details"
}
}
Retrieve detailed descriptions and recommendations for tax types available in specific jurisdictions. Use this to help users understand which tax type to select when creating a registration.
Request body
Array of jurisdiction IDs to get tax type details for.Minimum 1, maximum 100 items.Example:
["JUR_US_STATE_CA"]curl --request POST \
--url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/v2/content/tax-type-details' \
--header 'Authorization: Bearer <your_token>' \
--header 'Content-Type: application/json' \
--data '{
"jurisdiction_ids": ["JUR_US_STATE_CA"]
}'
{
"jurisdiction_ids": ["JUR_US_STATE_CA"]
}
{
"jurisdiction_ids": ["JUR_US_STATE_CA", "JUR_US_STATE_TX"]
}
{
"data": {
"tax_type_details": [
{
"jurisdiction_id": "JUR_US_STATE_CA",
"tax_type": "RST",
"official_name": "Retail Sales Tax",
"display_name": "Sales Tax",
"short_description": "Tax on retail sales of tangible personal property",
"full_description": "California imposes a sales tax on retailers for the privilege of selling tangible personal property at retail.",
"recommended_for": ["B2C", "SaaS"]
}
]
}
}
{
"message": "Failed to parse request body.",
"error": {
"type": "CLIENT_INVALID_REQUEST_BODY",
"title": "Failed to validate the request body",
"detail": "jurisdiction_ids is required",
"status": 400,
"instance": "/api/v1/registrations/v2/content/tax-type-details"
}
}
Response fields
| Field | Type | Description |
|---|---|---|
jurisdiction_id | string | The jurisdiction these details apply to |
tax_type | string | Tax type code (e.g., RST, VAT) |
official_name | string | Official name of the tax type |
display_name | string | Shorter display name |
short_description | string | Brief description (may be null) |
full_description | string | Detailed description of the tax type |
recommended_for | array | Business types this tax type is recommended for (may be empty) |
Related
- Available Registrations — Get registration options with tax types
- V2 Registration Content Overview — Full content API workflow
Was this page helpful?
⌘I